package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.JcxxTsgj;

/**
 * 基础信息_特殊工具Mapper接口
 * 
 * @author
 * @date 2025-08-06
 */
public interface JcxxTsgjMapper 
{
    /**
     * 查询基础信息_特殊工具
     * 
     * @param id 基础信息_特殊工具主键
     * @return 基础信息_特殊工具
     */
    public JcxxTsgj selectJcxxTsgjById(Long id);

    /**
     * 查询基础信息_特殊工具列表
     * 
     * @param jcxxTsgj 基础信息_特殊工具
     * @return 基础信息_特殊工具集合
     */
    public List<JcxxTsgj> selectJcxxTsgjList(JcxxTsgj jcxxTsgj);

    /**
     * 新增基础信息_特殊工具
     * 
     * @param jcxxTsgj 基础信息_特殊工具
     * @return 结果
     */
    public int insertJcxxTsgj(JcxxTsgj jcxxTsgj);

    /**
     * 修改基础信息_特殊工具
     * 
     * @param jcxxTsgj 基础信息_特殊工具
     * @return 结果
     */
    public int updateJcxxTsgj(JcxxTsgj jcxxTsgj);

    /**
     * 删除基础信息_特殊工具
     * 
     * @param id 基础信息_特殊工具主键
     * @return 结果
     */
    public int deleteJcxxTsgjById(Long id);

    /**
     * 批量删除基础信息_特殊工具
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteJcxxTsgjByIds(Long[] ids);
}
